<?php

namespace LsPanel;

use \LsPanel\DAPluginLogger;

/**
 * DAPluginEscalatedLogger is a singleton
 *
 * @since 2.0
 */
class DAPluginEscalatedLogger extends DAPluginLogger
{

    /**
     * @since 2.0
     * @var string
     */
    const TEMP_ESCALATED_LOG_BASE = '/tmp/ls-da-esc-tmp';

    /**
     *
     * @since 2.0
     *
     * @param int  $parentPid
     */
    protected function __construct()
    {
        parent::__construct();
    }

    /**
     *
     * @since 2.0
     *
     * @param int  $parentPid
     */
    public static function InitializeWithParentPid( $parentPid )
    {
        parent::Initialize();

        self::$instance->logFile =
                self::TEMP_ESCALATED_LOG_BASE . "_{$parentPid}.log";
    }

    /**
     * Write temp escalated log file contents.
     *
     * @since 2.0
     *
     * @param DAPluginLogEntry[]  $entries
     */
    protected function writeToFile( $entries )
    {
        $content = '';

        foreach ( $entries as $e ) {
            $content .= $e->getOutput($this->logFileLvl);
        }

        if ( $content != '' ) {

            if ( $this->logFile ) {
                file_put_contents($this->logFile, $content,
                        FILE_APPEND | LOCK_EX);
            }
            else {
                error_log($content);
            }
        }
    }

}