<?php

/* * ******************************************
 * LiteSpeed Web Server Plugin for DirectAdmin
 *
 * @author LiteSpeed Technologies, Inc. (https://www.litespeedtech.com)
 * @copyright (c) 2019
 * @since 2.0
 * ******************************************* */

namespace LsPanel\Extend;

use \Lsc\Wp\LogEntry;
use \Lsc\Wp\Logger;
use \LsPanel\DAEscalate;

/**
 * Logger is a singleton
 *
 * @since 2.0
 */
class DAPanelLogger extends Logger
{

    /**
     *
     * @since 2.0
     *
     * @param LogEntry[]  $entries
     */
    protected function writeToFile( $entries )
    {
        $content = '';

        foreach ( $entries as $e ) {
            $content .= $e->getOutput($this->logFileLvl);
        }

        if ( $content != '' ) {

            if ( $this->logFile ) {
                file_put_contents($this->logFile, $content,
                        FILE_APPEND | LOCK_EX);
            }
            else {
                error_log($content);
            }

            DAEscalate::escalate(true, DAEscalate::MGR_CMD_WRITE_TO_LOG);
        }

        if ( file_exists($this->logFile) ) {
            unlink($this->logFile);
        }
    }

}
