<?php

/* * ******************************************
 * LiteSpeed Web Server Plugin for DirectAdmin
 *
 * @author LiteSpeed Technologies, Inc. (https://www.litespeedtech.com)
 * @copyright (c) 2019
 * @since 2.0
 * ******************************************* */

namespace LsPanel\Extend;

use \Lsc\Wp\Context\ContextOption;
use \Lsc\Wp\Logger;
use \LsPanel\DAPluginLogger;

/**
 * @since 2.0
 */
class DAPanelLsadmContextOption extends ContextOption
{

    /**
     *
     * @since 2.0
     *
     * @param string  $panelName
     */
    public function __construct( $panelName )
    {
        $invokerName = $panelName;
        $invokerType = parent::FROM_CONTROL_PANEL;
        $isRoot = parent::IS_NOT_ROOT;
        $logFileLvl = Logger::L_INFO;
        $logEchoLvl = Logger::L_NONE;
        $bufferedWrite = true;
        $bufferedEcho = true;
        parent::__construct($invokerName, $invokerType, $isRoot, $logFileLvl,
                $logEchoLvl, $bufferedWrite, $bufferedEcho);

        $this->expectedPermissions = self::IS_NOT_ROOT;
        $this->loggerClass = '\LsPanel\Extend\DAPanelLogger';
        $this->lscwpVerClass ='\LsPanel\Extend\DAPanelPluginVersion';
        $this->scanDepth = 2;
        $this->batchTimeout = 60;
        $this->batchSize = 10;
        $this->sharedTplDir = realpath(LSWS_HOME . '/add-ons/webcachemgr/src/View/Tpl');
        $this->logFile = DAPluginLogger::TEMP_LOG_BASE . '_' . getmypid() . '.log';
    }

}
