<?php

/* * ******************************************
 * LiteSpeed Web Server Plugin for DirectAdmin
 *
 * @author LiteSpeed Technologies, Inc. (https://www.litespeedtech.com)
 * @copyright (c) 2019
 * @since 2.0
 * ******************************************* */

namespace LsPanel\Extend;

use \LsPanel\DAEscalate;
use \Lsc\Wp\PluginVersion;

/**
 * @since 2.0
 */
class DAPanelPluginVersion extends PluginVersion
{

    /**
     *
     * @since 2.0
     */
    protected function __construct()
    {
        parent::__construct();
    }

    /**
     *
     * @since 2.0
     */
    public function setCurrentVersion()
    {
        $activeVersion = DAEscalate::escalate(true,
                DAEscalate::MGR_CMD_GET_CURR_VER);

        $this->currVersion = $activeVersion;
    }

    /**
     *
     * @since 2.0
     *
     * @param string   $version  Valid LSCWP version.
     * @param boolean  $init     True when trying to set initial active
     *                           version.
     */
    public function setActiveVersion( $version, $init = false )
    {
        $args = array ( 'ver' => $version, 'init' => $init );
        DAEscalate::escalate(true, DAEscalate::MGR_CMD_SET_ACTIVE_VER, $args);
    }

    /**
     *
     * @since 2.0
     *
     * @param boolean  $isforced
     */
    protected function refreshVersionList( $isforced = false )
    {
        clearstatcache();

        if ( $isforced || !file_exists($this->versionFile)
                || (time() - filemtime($this->versionFile)) > 86400 ) {

            DAEscalate::escalate(true, DAEscalate::MGR_CMD_REFRESH_VER_LIST);
        }
    }

}
