<?php

/* * *********************************************
 * LiteSpeed Web Server Plugin for DirectAdmin
 *
 * @author LiteSpeed Technologies, Inc. (https://www.litespeedtech.com)
 * @copyright (c) 2019
 * @since 2.0
 * *******************************************
 */

namespace LsPanel\Extend;

use Lsc\Wp\WPInstall;
use LsPanel\DAEscalate;

/**
 * @since 2.0
 */
class DAPanelWPInstall extends WPInstall
{

    /**
     *
     * @since 2.0
     *
     * @param string  $path
     */
    public function __construct( $path )
    {
        parent::__construct($path);
    }

    /**
     *
     * @since 2.0
     *
     * @param string  $path
     */
    protected function init( $path )
    {
        $args = array( 'filePath' => $path );
        $this->path = DAEscalate::escalate(true,
                DAEscalate::MGR_CMD_GET_REAL_PATH, $args);

        $this->data = array(
            self::FLD_STATUS => 0,
            self::FLD_DOCROOT => null,
            self::FLD_SERVERNAME => null,
            self::FLD_SITEURL => null
        );
    }

}
