<?php

/* * ******************************************
 * LiteSpeed Web Server Plugin for DirectAdmin
 *
 * @author LiteSpeed Technologies, Inc. (https://www.litespeedtech.com)
 * @copyright (c) 2019
 * @since 2.0
 * ******************************************* */

namespace LsPanel\View\Model;

use \LsPanel\View\Model\BaseViewModel;

/**
 * @since 2.0
 */
class SharedCodeUpdateResultViewModel extends BaseViewModel
{

    /**
     * @since 2.0
     * @var string
     */
    const FLD_UPDATED = 'updated';

    /**
     * @since 2.0
     * @var boolean
     */
    private $updated;

    /**
     *
     * @since 2.0
     *
     * @param boolean $updated
     */
    public function __construct( $updated )
    {
        parent::__construct();

        $this->updated = $updated;

        $this->init();
    }

    /**
     *
     * @since 2.0
     */
    private function init()
    {
        $this->setUpdatedData();
    }

    /**
     *
     * @since 2.0
     */
    private function setUpdatedData()
    {
        $this->tplData[self::FLD_UPDATED] = $this->updated;
    }

    /**
     *
     * @since 2.0
     *
     * @return string
     */
    public function getTpl()
    {
        return realpath(__DIR__ . '/../Tpl') . '/SharedCodeUpdateResult.tpl';
    }

}
